Subject: bug#68930: closed (Re: bug#68930: 30.0.50; Emacs conflatesC-Ω and C-ω)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Feb 2024 12:39:02 +0000

Your bug report

#68930: 30.0.50; Emacs conflates C-Ω and C-ω

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68930: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68930
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68930: 30.0.50; Emacs conflates C-Ω andC-ω
From: Po Lu <[email-masked]>
To: Alexander Prähauser <[email-masked]>
Cc: [email-masked]
Date: Thu, 08 Feb 2024 20:38:12 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Please do not omit the bug tracker from the carbon copy lists of
replies, or they will not be recorded by the bug tracker.

Alexander Prähauser <[email-masked]> writes:

> "Po Lu" <[email-masked]> writes:
>
>> Alexander Prähauser <[email-masked]> writes:
>>
>>> Alright, I re-downloaded Emacs and tried to apply the patch again and
>>> this time it worked. No idea why it didn't before, I had downloaded it
>>> on Monday, I think. Maybe the changes had been too big in-between?
>>
>> No, xterm.c hasn't seen any substantial modifications for months.
>>
>>> Regardless, I should not have doubted your coding abilities. But when I
>>> start Emacs with the patch and type the key combinations, I don't get
>>> any special output, either in the message buffer or in the containing
>>> terminal.
>>
>> Please start Emacs with the following options:
>>
>>   ./emacs -q -xrm 'Emacs.useXIM: off'
>>
>> and tell us if the problem remains.  Thanks.
>
> It works! And just to be sure I tried again without an init and with the
> exact same keybinds but without the last option, and sure enough it
> switched them up again.

As such, it's your X input method that's alternating between the
upper-case and lower-case forms of certain Greek characters, which is
not in our bailiwick.  Please identify the input method enabled on your
system, so that we can place a meaningful description in PROBLEMS; in
the meantime, insert:

  Emacs.useXIM: off

into your ~/.Xresources or ~/.Xdefaults to install the change
permanently, then type:

  xrdb -merge ~/.Xresources

and I'm closing this bug.  Thanks.

Subject: 30.0.50; Emacs conflates C-Ω and C-ω
From: Alexander Prähauser <[email-masked]>
To: [email-masked]
Date: Sun, 04 Feb 2024 20:49:26 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs confuses C-ω and C-Ω. This seems to happen regardless of the init file.
For instance, if started with a basic init containing only the lines

(define-key global-map (kbd "C-ω") 'kill-region)
(define-key global-map (kbd "C-Ω") 'copy-to-register)

the commands are recalled by exactly the reversed key combinations, C-Ω
kills and C-ω copies to register. Both Ω and ω are here in the xkb-map
of the keyboard layout as unicode characters, U03A9 and U03C9
respectively. I tried using C-Ω and C-ω as key combinations for commands
in the Firefox-plugin Tridactyl to see if it confuses them as well, but
it seems to be able to distinguish them.

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, cairo version
 1.18.0) of 2023-12-29 built on Archlaptop
Repository revision: 291763feca34174290345055a6748436839f7606
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101010
System Description: Arch Linux

Configured using:
 'configure --with-x-toolkit=no'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY
INOTIFY OLDXMENU PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TREE_SITTER WEBP X11 XDBE XIM XINPUT2 XPM ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: VTerm

Minor modes in effect:
  async-bytecomp-package-mode: t
  winner-mode: t
  Daselt-mode: t
  citar-embark-mode: t
  recentf-mode: t
  windmove-mode: t
  global-edit-server-edit-mode: t
  global-goto-address-mode: t
  goto-address-mode: t
  all-the-icons-completion-mode: t
  auto-insert-mode: t
  backward-forward-mode: t
  dynamic-completion-mode: t
  electric-pair-mode: t
  delete-selection-mode: t
  global-undo-tree-mode: t
  Info-breadcrumbs-in-mode-line-mode: t
  global-org-modern-mode: t
  fancy-compilation-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  global-aggressive-indent-mode: t
  corfu-prescient-mode: t
  global-corfu-mode: t
  corfu-mode: t
  vertico-prescient-mode: t
  marginalia-mode: t
  savehist-mode: t
  vertico-mode: t
  smart-mark-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  server-mode: t
  override-global-mode: t
  TeX-PDF-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  tab-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  undelete-frame-mode: t
  minibuffer-regexp-mode: t
  buffer-read-only: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
~/.emacs.d/site-lisp/icicles/dired+ hides ~/.emacs.d/site-lisp/dired+
~/.emacs.d/site-lisp/icicles/bookmark+ hides /home/alex/.emacs.d/elpa/bookmark+-20230325.160624/bookmark+
/home/alex/.emacs.d/elpa/org-projectile-helm-20230817.801/org-projectile-helm hides /home/alex/.emacs.d/elpa/org-projectile-20230817.851/org-projectile-helm
/home/alex/.emacs.d/elpa/transient-20240121.2000/transient hides /usr/local/share/emacs/30.0.50/lisp/transient
/home/alex/.emacs.d/elpa/bind-key-20230203.2004/bind-key hides /usr/local/share/emacs/30.0.50/lisp/bind-key
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-lint hides /usr/local/share/emacs/30.0.50/lisp/use-package/use-package-lint
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-jump hides /usr/local/share/emacs/30.0.50/lisp/use-package/use-package-jump
/home/alex/.emacs.d/elpa/use-package-ensure-system-package-20221209.2013/use-package-ensure-system-package hides /usr/local/share/emacs/30.0.50/lisp/use-package/use-package-ensure-system-package
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-ensure hides /usr/local/share/emacs/30.0.50/lisp/use-package/use-package-ensure
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package hides /usr/local/share/emacs/30.0.50/lisp/use-package/use-package
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-diminish hides /usr/local/share/emacs/30.0.50/lisp/use-package/use-package-diminish
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-delight hides /usr/local/share/emacs/30.0.50/lisp/use-package/use-package-delight
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-core hides /usr/local/share/emacs/30.0.50/lisp/use-package/use-package-core
/home/alex/.emacs.d/elpa/use-package-20230426.2324/use-package-bind-key hides /usr/local/share/emacs/30.0.50/lisp/use-package/use-package-bind-key

Features:
(shadow emacsbug vc-hg vc-bzr tramp-cmds cal-move tramp-archive
tramp-gvfs zeroconf two-column helm-descbinds helm helm-global-bindings
helm-core async-bytecomp helm-source helm-multi-match helm-lib
buffer-move descr-text persp-mode info-look vterm term ehelp
vterm-module term/xterm xterm mode-local winner image-file
image-converter mm-archive tabify org-roam-migrate org-roam-log
org-roam-mode org-roam-capture org-roam-id org-roam-node org-roam-db
emacsql-sqlite-builtin sqlite org-roam-utils org-roam-compat org-roam
org-capture org-attach emacsql-sqlite shr-color dictionary
external-completion dictionary-connection face-remap
display-line-numbers cus-start DEmacs DEmacs-basic cl-print debug
backtrace auto-yasnippet vertico-quick shortdoc url-cache misearch
multi-isearch dabbrev cape-char cape sort smiley gnus-cite mail-extr
textsec uni-scripts idna-mapping ucs-normalize uni-confusable
textsec-check gnus-async gnus-bcklg qp gnus-ml disp-table nndraft nnmh
nnmaildir nnfolder utf-7 network-stream gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg nntp gnus-cache citar-latex reftex-cite
reftex-parse vertico-directory consult-register citar-org oc-csl
citeproc citeproc-itemgetters citeproc-biblatex citeproc-bibtex
citeproc-cite citeproc-subbibs citeproc-sort citeproc-name
citeproc-formatters citeproc-number rst citeproc-proc citeproc-disamb
citeproc-itemdata citeproc-generic-elements citeproc-macro
citeproc-choose citeproc-date citeproc-context citeproc-prange
citeproc-style citeproc-locale citeproc-term f citeproc-rt citeproc-lib
citeproc-s s oc-basic tramp-cache time-stamp tramp-sh tramp trampver
tramp-integration tramp-message tramp-compat tramp-loaddefs mule-util
pdf-links pdf-isearch pdf-misc pdf-sync pdf-tools pdf-view pdf-cache
pdf-info tq pdf-util pdf-macs ol-eww ol-rmail ol-mhe ol-irc ol-info
ol-gnus nnselect ol-docview doc-view jka-compr ol-bibtex ol-bbdb ol-w3m
ol-doi org-link-doi mhtml-mode css-mode-expansions css-mode
js-mode-expansions js c-ts-common cc-mode-expansions cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
html-mode-expansions sgml-mode facemenu sh-script smie treesit
executable citar-capf citar-embark citar citar-file citar-cache
citar-format parsebib reftex-dcr reftex-auc latex-extra font-latex
latexenc preview tex-mode rainbow-delimiters paredit-everywhere paredit
eww mm-url vc-git vc-dispatcher dired-aux files-x image-mode exif
smtpmail gnus-registry registry gnus-art mm-uu mml2015 mm-view mml-smime
smime dig gnus-sum shr pixel-fill kinsoku gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source nnoo gnus-spec
gnus-win gnus-int gnus-range imap rfc2104 utf7 gnus nnheader range
recentf tree-widget windmove edit-server epa-file goto-addr
all-the-icons-completion autoinsert backward-forward completion
elec-pair wc-mode delsel undo-tree queue menu-bar+ misc-cmds rect
bookmark+ bookmark+-key bookmark+-bmu info+ fit-frame help-fns+
wid-edit+ bookmark+-lit pp+ dired-x crosshairs col-highlight vline
hl-line+ bookmark+-1 thingatpt+ bookmark+-mac org-super-links org-modern
embark-org the-org-mode-expansions org-element org-persist xdg org-id
org-refile avl-tree org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-src ob-comint org-pcomplete org-list org-footnote
org-faces org-entities ob-emacs-lisp ob-core ob-eval org-cycle org-table
ol org-fold org-fold-core org-keys oc org-loaddefs cal-menu calendar
cal-loaddefs org-version org-compat org-macs forge-list forge-commands
forge-semi forge-bitbucket buck forge-gogs gogs forge-gitea gtea
forge-gitlab glab forge-github ghub-graphql treepy gsexp ghub url-http
url-gw nsm url-auth gnutls forge-notify forge-revnote forge-pullreq
forge-issue forge-topic yaml parse-time bug-reference forge-post
markdown-mode forge-repo forge forge-core forge-db closql
emacsql-sqlite-common emacsql emacsql-compiler yaml-mode-expansions
yaml-mode fancy-compilation font-utils unicode-fonts yasnippet elgrep
async grep dedicated auto-dictionary flyspell ispell all-the-icons-dired
all-the-icons all-the-icons-faces data-material data-weathericons
data-octicons data-fileicons data-faicons data-alltheicons tabgo
tab-line avy dired-quick-sort hydra lv ls-lisp aggressive-indent
back-button visible-mark nav-flash pulse smartrep biblio biblio-download
biblio-dissemin biblio-ieee biblio-hal biblio-dblp biblio-crossref
biblio-arxiv timezone biblio-doi biblio-core let-alist url-queue
url-file ido hl-line bibtex iso8601 kind-icon svg-lib svg dom
corfu-terminal popon corfu-prescient corfu vertico-prescient prescient
char-fold embark-consult consult magit-bookmark bookmark embark
marginalia orderless persistent-soft list-utils pcache eieio-base
savehist finder-inf vertico-buffer vertico-mouse vertico smartparens
loadhist expand-region text-mode-expansions latex-mode-expansions
er-basic-expansions expand-region-core expand-region-custom
easy-kill-extras easy-kill-line-edge easy-kill-buffer easy-kill-to-char
easy-kill smart-mark use-package-ensure-system-package system-packages
rebinder gnus-dired magit-submodule magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log which-func imenu
magit-diff smerge-mode diff diff-mode git-commit log-edit message
sendmail yank-media puny rfc822 mml mml-sec epa epg rfc6068 epg-config
gnus-util time-date mailabbrev mail-utils gmm-utils mailheader pcvs-util
add-log magit-core magit-autorevert autorevert filenotify magit-margin
magit-transient magit-process with-editor shell pcomplete server
magit-mode transient magit-git magit-base magit-section format-spec
cursor-sensor dash compat auto-install ffap find-func dired
dired-loaddefs quelpa-use-package quelpa mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr
help-fns radix-tree use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key use-package-core
cdlatex reftex reftex-loaddefs reftex-vars latex edmacro kmacro
latex-flymake flymake tex-ispell tex-style tex dbus xml crm texmathp
add-tex-envs slime-fancy slime-indentation slime-cl-indent cl-indent
slime-trace-dialog slime-fontifying-fu slime-package-fu slime-references
slime-compiler-notes-tree slime-scratch slime-presentations advice
bridge slime-macrostep macrostep slime-mdot-fu slime-enclosing-context
slime-fuzzy slime-fancy-trace slime-fancy-inspector slime-c-p-c
slime-editing-commands slime-autodoc slime-repl elp slime-parse slime
derived comp comp-cstr cl-extra help-mode warnings easy-mmode lisp-mnt
gud apropos etags fileloop generator xref project arc-mode archive-mode
noutline outline hyperspec thingatpt slime-autoloads desktop frameset
icicles-install cl sanityinc-tomorrow-bright-theme
color-theme-sanityinc-tomorrow color cus-edit pp cus-load icons wid-edit
compile text-property-search comint ansi-osc ansi-color ring comp-run
comp-common rx aggressive-indent-autoloads all-autoloads
all-the-icons-dired-autoloads auctex-cluttex-autoloads
auto-dictionary-autoloads back-button-autoloads backup-walker-autoloads
buffer-move-autoloads bug-hunter-autoloads cape-autoloads
cdlatex-autoloads citar-embark-autoloads citar-org-roam-autoloads
citar-autoloads color-theme-sanityinc-tomorrow-autoloads
consult-org-roam-autoloads corfu-prescient-autoloads
corfu-terminal-autoloads corfu-autoloads crontab-mode-autoloads
dedicated-autoloads default-text-scale-autoloads deft-autoloads
diminish-autoloads dream-theme-autoloads easy-kill-extras-autoloads
elgrep-autoloads embark-consult-autoloads consult-autoloads
embark-autoloads emms-autoloads expand-region-autoloads
fancy-compilation-autoloads forge-autoloads closql-autoloads
ghub-autoloads helm-bibtex-autoloads bufler-autoloads burly-autoloads
helm-dictionary-autoloads helm-icons-autoloads helm-swoop-autoloads
kind-icon-autoloads latex-extra-autoloads auctex-autoloads tex-site
marginalia-autoloads markdown-mode-autoloads mood-line-autoloads
helm-easymenu log4e-autoloads nav-flash-autoloads orderless-autoloads
org-modern-autoloads org-msg-autoloads org-noter-autoloads
helm-autoloads helm-core-autoloads async-autoloads org-ref-autoloads
citeproc-autoloads org-roam-bibtex-autoloads bibtex-completion-autoloads
biblio-autoloads biblio-core-autoloads f-autoloads org-roam-autoloads
emacsql-autoloads org-super-links-autoloads ox-pandoc-autoloads
parsebib-autoloads popon-autoloads popup-autoloads
pretty-hydra-autoloads smart-mark-autoloads smartparens-autoloads
smartrep-autoloads smudge-autoloads speed-type-autoloads
string-inflection-autoloads svg-lib-autoloads tabgo-autoloads
tablist-autoloads telega-autoloads all-the-icons-autoloads
treemacs-icons-dired-autoloads magit-autoloads pcase
magit-section-autoloads git-commit-autoloads transient-autoloads
persp-mode-autoloads projectile-autoloads treemacs-autoloads
treepy-autoloads try-autoloads unicode-fonts-autoloads
ucs-utils-autoloads font-utils-autoloads persistent-soft-autoloads
list-utils-autoloads pcache-autoloads
use-package-ensure-system-package-autoloads system-packages-autoloads
vertico-prescient-autoloads vertico-autoloads prescient-autoloads
visible-mark-autoloads vterm-autoloads w3m-load w3m-autoloads
wakib-keys-autoloads wfnames-autoloads with-editor-autoloads
compat-autoloads yaml-autoloads yaml-mode-autoloads yasnippet-autoloads
zotero-autoloads oauth-autoloads info dash-autoloads package browse-url
url url-proxy url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x
map byte-opt gv bytecomp byte-compile url-vars cl-loaddefs cl-lib rmc
iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd touch-screen tool-bar dnd fontset image regexp-opt
fringe tabulated-list replace newcomment text-mode lisp-mode prog-mode
register page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo xinput2 x multi-tty move-toolbar
make-network-process native-compile emacs)

Memory information:
((conses 16 3796681 2989815) (symbols 48 168096 19)
 (strings 32 732302 186197) (string-bytes 1 42897798)
 (vectors 16 222823) (vector-slots 8 5517819 1731974)
 (floats 8 9702 24106) (intervals 56 184303 45867) (buffers 992 350))